Bug 451578 - grep -F -i --line-regexp returns incorrect results on a simple file
grep -F -i --line-regexp returns incorrect results on a simple file
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grep (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Stepan Kasal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-15 20:43 EDT by Nick Lamb
Modified: 2009-07-14 12:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:28:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Lamb 2008-06-15 20:43:54 EDT
+++ This bug was initially created as a clone of Bug #227417 +++

Description of problem:
grep -F -i --line-regexp returns incorrect results on a simple file.

Version-Release number of selected component (if applicable):
Still present in grep-2.5.1-59.fc9.i386

How reproducible:
In en_GB.UTF-8 locale...

grep -F -i --line-regexp -f  /tmp/test.txt /tmp/test.txt
test.txt contains:
Endeavour
Endurance
Eng
Engine
England
English
Enid
Ensign
Epiphany
Epsom
Era
Erastus

Not all of the lines are returned, which they should be.  This worked correctly 
in grep-2.5.1-31

Previous bug about this was closed, and I couldn't re-open it to report that
(unsurprisingly) doing nothing did not fix it, so I created this one.
Comment 1 Bug Zapper 2009-06-09 21:38:24 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 12:28:20 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.